<!doctype html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="shortcut icon" href="https://twemoji.maxcdn.com/2/72x72/1f6f0.png">
    <title>MIPAS - Data</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.0-beta1/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-0evHe/X+R7YkIZDRvuzKMRqM+OrBnVFBL6DOitfPri4tjfHxaWutUpFmBp4vmVor" crossorigin="anonymous">
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">


    <style>
        .icon-list li::before {
            display: block;
            flex-shrink: 0;
            width: 1.5em;
            height: 1.5em;
            margin-right: .5rem;
            content: "";
            background: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' enable-background='new 0 0 24 24' height='24' viewBox='0 0 24 24' width='24'%3E%3Cg%3E%3Crect fill='none' height='24' width='24'/%3E%3C/g%3E%3Cg%3E%3Cpath d='M5,20h14v-2H5V20z M19,9h-4V3H9v6H5l7,7L19,9z'/%3E%3C/g%3E%3C/svg%3e") no-repeat center center / 100% auto;
        }

        .loader {
            display: block;
            position: absolute;
            border: 16px solid #f3f3f3;
            border-radius: 50%;
            border-top: 16px solid #3498db;
            top: 0;
            bottom: 0;
            left: 0;
            right: 0;

            margin: auto;
            width: 120px;
            height: 120px;
            -webkit-animation: spin 2s linear infinite;
            /* Safari */
            animation: spin 2s linear infinite;
        }

        /* Safari */
        @-webkit-keyframes spin {
            0% {
                -webkit-transform: rotate(0deg);
            }

            100% {
                -webkit-transform: rotate(360deg);
            }
        }

        @keyframes spin {
            0% {
                transform: rotate(0deg);
            }

            100% {
                transform: rotate(360deg);
            }
        }
    </style>

</head>

<body>
    <div id="loader" class="loader"></div>
    <div id="main" class="col-lg-8 mx-auto p-3 py-md-5" id="mainDiv" style="display:none;">
        <header class="d-flex align-items-center pb-3 mb-5 border-bottom">
            <h1>MIPAS Data</h1>
            <img src="https://upload.wikimedia.org/wikipedia/commons/thumb/3/3a/Logo_KIT.svg/320px-Logo_KIT.svg.png"
                style="margin-left: auto; width: 20%;" />
        </header>

        <main>

            <h3>Search results</h3>

            <hr class="col-3 col-md-2 mb-5">

            <div class="row g-5">
                <div class="col-md-6">
                    <!-- <h2>Starter projects</h2>
                    <p>Ready to beyond the starter template? Check out these open source projects that you can quickly
                        duplicate to a new GitHub repository.</p> -->
                    {% if files|length == 0 %}
                    <p>No results found.
                        <script>
                            document.write('<a href="' + document.referrer + '">Try again...</a>');
                        </script>
                    </p>
                    {% else %}
                    <p><strong>{{ files|length }}</strong> file(s) found.</p>
                    <div class="mb-5">
                        <script>
                            document.write('<a href="' + document.referrer + '">Back to search...</a>');
                        </script>
                        <p>Download all files as tar.gz archive</p>
                        <a href="{{ download_link }}" class="btn btn-primary btn-lg px-4" target="_blank">Download</a>
                        <p class="pt-2">Compressing the files can take several minutes..please wait after clicking the
                            button.</p>
                    </div>
                    <p>Download single files</p>
                    <ul class="icon-list ps-0">
                        {% for file in files %}
                        <li class="d-flex align-items-start mb-1"><a href="{{ file.link }}" rel="noopener"
                                target="_blank">{{
                                file.name }}</a></li>
                        </li>
                        {% endfor %}
                    </ul>
                    {% endif %}
                </div>
            </div>

            <!-- <hr class="col-3 col-md-2 mb-5"> -->

        </main>
        <footer class="pt-5 my-5 text-muted border-top">
            IMK-ASF &middot; KIT &copy; 2022
        </footer>
    </div>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.0-beta1/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-pprn3073KE6tl6bjs2QrFaJGz5/SUsLqktiwsUTF55Jfv3qYSDhgCecCxMW52nD2"
        crossorigin="anonymous"></script>
    <script src="https://code.jquery.com/jquery-3.6.1.min.js"
        integrity="sha256-o88AwQnZB+VDvE9tvIXrMQaPlFFSUTR+nldQm1LuPXQ=" crossorigin="anonymous"></script>
    <script>
        $(window).on('load', function () {
            document.getElementById("loader").style.display = "none";
            document.getElementById("main").style.display = "block";
        }) 
    </script>
</body>

</html>